django-cms broken

Oko

Daemon

Thanks: 768
Messages: 1,620

#1
This is a fresh installation of TrueOS 10.1.1. I am trying to run django-cms in the Jail. I am following the instructions from pkg message.
Code:
django-admin.py startproject mycmsproject
cd mycmsproject/mycmsproject
rm settings.py
rm urls.py
fetch https://gist.github.com/williambr/5748696/raw/settings.py
fetch https://gist.github.com/raw/1125918/urls.py
mkdir templates
cd templates
fetch https://gist.github.com/raw/1125918/example.html
cd ../..
python manage.py syncdb --all
python manage.py migrate --fake
python manage.py runserver
Running python2.7 manage.py syncdb --all and I am getting infamous
Code:
metaclass conflict: the metaclass of a derived class must be a
(non-strict) subclass of the metaclasses of all its bases
error. My py27-django-1.7, py27-django-cms-2.4.1_1, python27-2.7.9. Any quick fixes?
 

talsamon

Daemon

Thanks: 243
Messages: 1,736

#2
Maybe it could be a version conflict and you have to set DEFAULT_VERSIONS in /etc/make.conf ?
A look in the Makefile of www/py-django-cms tells USES= python:2. And pkg info python\* tells me (on my system, don't know how it is on your system).
Code:
python-2.7_2,2
python2-2_3
python27-2.7.9_1
 
OP
OP
Oko

Oko

Daemon

Thanks: 768
Messages: 1,620

#3
Code:
python manage.py syncdb --all
Is an obsolete Django command. I took a clue and figured out that package message has not been updated. I uninstalled django-cms and used pip to install the latest version. However now I am running into the problem with a time zone script. Apparently I am not supposed to use django-cms on anything other than CentOS, OpenSUSE, and Gentoo. Well Hall with it. I don't have time for alpha software and broken ports.
 
Top